import service from './newRequest.js'
import store from '../store';
import {
	saveUrl,
	interceptor
} from '@/utils/loginUtils.js';
// 请求完成后拦截
service.interceptors.response(
	response => {
		try {
			let res = response.data||{};
			// 解析字符串为数字
			if (res.status !== 200) {
				if (res.status == 410000) {
					// 存储当前地址
					saveUrl()
					// 调用退出登录方法清空用户信息
					store.commit('logout');
					// 判断是否开启强制登录
					uni.showModal({
						title: "您未登录！是否马上登录？",
						success: (e) => {
							if (e.confirm) {
								// 保存当前页面地址
								// 跳转页面
								interceptor()
							}
						}
					})
				} else {
					if (res.msg.indexOf('人数过多')  == -1) {
						if(res.msg!='系统出现异常' && res.msg != '0' && res.msg != 'ok' && res.msg != '找不到订单' ){
							uni.showToast({
								title: res.msg,
								duration: 1500,
								mask: true,
								icon: 'none',
							})
						} 
					}
					
				}
				// return res
				return Promise.reject(new Error(res.msg || 'Error'))
			} else {
				return res
			}
		} catch (e) {
			console.log(e);
		}
	},
	error => {
		uni.showToast({
			title: "加载错误请重试",
			duration: 1500,
			mask: false,
			icon: 'none',
		})
		return Promise.reject(error)
	}
)

// 请求前拦截器
service.interceptors.request(
	config => {
		// config.data.token = getToken();
		// console.log(config);
		let token = uni.getStorageSync('token');
		// console.log(token);
		if (!config.header) {
			config.header = {
				"Authori-zation": 'Bearer ' + token,
				// "Authori-zation": 'Bearer ' + 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJ0bXAwMS5ra3R2Ni5jb20iLCJhdWQiOiJ0bXAwMS5ra3R2Ni5jb20iLCJpYXQiOjE2MTQ3Mzg1ODMsIm5iZiI6MTYxNDczODU4MywiZXhwIjoxNjE1MzQzMzgzLCJqdGkiOnsiaWQiOjIsInR5cGUiOiJyb3V0aW5lIn19.AgLlkg3V8--Rkp-uG-YAY123N6aYVHV4zhjYOPbg1ew',
			}
		} else {
			// 添加key请求头
			config.header["Authori-zation"] = 'Bearer ' + token;
	 // config.header["Authori-zation"] = 'Bearer ' +'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJ0bXAwMS5ra3R2Ni5jb20iLCJhdWQiOiJ0bXAwMS5ra3R2Ni5jb20iLCJpYXQiOjE2MTQ3Mzg1ODMsIm5iZiI6MTYxNDczODU4MywiZXhwIjoxNjE1MzQzMzgzLCJqdGkiOnsiaWQiOjIsInR5cGUiOiJyb3V0aW5lIn19.AgLlkg3V8--Rkp-uG-YAY123N6aYVHV4zhjYOPbg1ew'
		}
		return config
	},
	error => {
		// 错误处理
		console.log(error)
		return Promise.reject(error)
	}
)
let upFilse = service.upFilse;
let upFilse1= service.upFilse1;
export {
	upFilse,upFilse1
};
export default service.open;
